#!/usr/bin/env python3

# To change this license header, choose License Headers in Project Properties.
# To change this template file, choose Tools | Templates
# and open the template in the editor.

import sys

if __name__ == "__main__":

    while True:
        linha = raw_input()
    
        if linha in '0':
            break
    
        for x in range(0,len(linha)):
            c = linha[x:x+1]
            cn = ord(c)
            cn -= 3
            if cn<65:
                cn += 26
            sys.stdout.write(chr(cn))
        
        print("")
            
    sys.exit()
